## ros-melodic-ar-track-alvar-msgs 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ar_track_alvar_msgs)

set(MSG_DEPS
    std_msgs
    geometry_msgs
    )

find_package(catkin REQUIRED COMPONENTS
  message_generation
  ${MSG_DEPS}
)

set(MSG_FILES AlvarMarker.msg AlvarMarkers.msg)
add_message_files(DIRECTORY msg FILES ${MSG_FILES})
generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(CATKIN_DEPENDS message_runtime ${MSG_DEPS})

=== debian/changelog ===
ros-melodic-ar-track-alvar-msgs (0.7.1-0bionic) bionic; urgency=high

  * [maintenance] Remove unnecessary metapkg.

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 14 Jun 2017 07:00:00 -0000

ros-melodic-ar-track-alvar-msgs (0.7.0-0bionic) bionic; urgency=high

  * Consolidate ar_track_alvar* packages into a single repo (#120 <https://github.com/sniekum/ar_track_alvar/issues/120>)
  * Contributors: Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 21 Apr 2017 07:00:00 -0000

ros-melodic-ar-track-alvar-msgs (0.5.2-0bionic) bionic; urgency=high

  * Add CI config. Update maintainer. #2 <https://github.com/sniekum/ar_track_alvar_msgs/issues/2>
  * Contributors: Scott Niekum, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 20 Apr 2017 07:00:00 -0000

ros-melodic-ar-track-alvar-msgs (0.5.1-0bionic) bionic; urgency=high

  * Release into Jade ROS
  * Contributors: Isaac IY Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Sun, 12 Apr 2015 07:00:00 -0000

ros-melodic-ar-track-alvar-msgs (0.5.0-0bionic) bionic; urgency=high

  * migrate from ar_track_alvar repository
  * Contributors: Jihoon Lee

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 25 Jun 2014 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-ar-track-alvar-msgs
Section: misc
Priority: extra
Maintainer: Scott Niekum <sniekum@cs.umass.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/ar_track_alvar
Standards-Version: 3.9.2

Package: ros-melodic-ar-track-alvar-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: This package is a ROS wrapper for Alvar, an open source AR tag tracking library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ar-track-alvar-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
